COMMENT =	Cross platform password manager

V =		1.5.3
DISTNAME =	zdia-gorilla-v${V}-0-g1996106
PKGNAME =	password-gorilla-${V}
CATEGORIES =	security

HOMEPAGE =	http://wiki.github.com/zdia/gorilla/

# GPLv2
PERMIT_PACKAGE_CDROM =  Yes
PERMIT_PACKAGE_FTP =    Yes
PERMIT_DISTFILES_CDROM =Yes
PERMIT_DISTFILES_FTP =  Yes

MASTER_SITES =	http://github.com/zdia/gorilla/tarball/v1.5.3/

FETCH_CMD =	ftp -o ${DISTNAME}.tar.gz

USE_X11 =	Yes
MODULES =	x11/tk

MODTK_VERSION =	8.5

RUN_DEPENDS =	::devel/itcl \
		${MODTK_RUN_DEPENDS}

NO_BUILD =	Yes
NO_REGRESS =	Yes
PKG_ARCH =	*

WRKDIST =	${WRKDIR}/zdia-gorilla-1996106/sources

GORILLALIB =	${PREFIX}/lib/password-gorilla
GORILLASTUFF =	blowfish isaac.tcl msgs pics pwsafe sha1 twofish

do-install:
	${MODTCL_WISH_ADJ} ${WRKDIST}/gorilla.tcl
	${INSTALL_PROGRAM_DIR} ${GORILLALIB}
	@cd ${WRKDIST}; \
		tar -cf - ${GORILLASTUFF} | tar -xf - -C ${GORILLALIB}
	${INSTALL_SCRIPT} ${WRKDIST}/gorilla.tcl ${PREFIX}/bin/gorilla

.include <bsd.port.mk>
